## org.biojava.bio.seq
Class MergeFeatureHolder

    java.lang.Object
      |
      +--org.biojava.bio.seq.AbstractFeatureHolder
            |
            +--org.biojava.bio.seq.MergeFeatureHolder

public class MergeFeatureHolder
extends AbstractFeatureHolder

FeatureHolder which exposes all the features in a set of sub-FeatureHolders. This is provided primarily as a support class for ViewSequence. It may also be useful for other applications, such as simple distributed annotation systems.

Author:
  Thomas Down

Constructor Summary
`MergeFeatureHolder()`

Method Summary
`void` `addFeatureHolder(FeatureHolder fh)` Merges a featureholder to the current featureholder
`int` `countFeatures()` Count how many features are contained.
`java.util.Iterator` `features()` Iterate over all the features in all child FeatureHolders.

Methods inherited from class org.biojava.bio.seq.AbstractFeatureHolder
`createFeature, filter, removeFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeFeatureHolder

    public MergeFeatureHolder()

Method Detail

### addFeatureHolder

    public void addFeatureHolder(FeatureHolder fh)

  Merges a featureholder to the current featureholder

### countFeatures

    public int countFeatures()

  Description copied from interface: FeatureHolder
  Count how many features are contained.
  Tags copied from interface: FeatureHolder
  Returns:
    a positive integer or zero, equal to the number of features contained

### features

    public java.util.Iterator features()

  Iterate over all the features in all child FeatureHolders. The Iterator may throw ConcurrantModificationException if there is a change in the underlying collections during iteration.
  Tags copied from interface: FeatureHolder
  Returns:
    an Iterator